<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VehicleSelection_With_NextStop_Info_WithoutDate StructType
 * @subpackage Structs
 */
class VehicleSelection_With_NextStop_Info_WithoutDate extends AbstractStructBase
{
    /**
     * The IncludeNextStopInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeNextStopInfo;
    /**
     * The ShowInactive
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $ShowInactive;
    /**
     * The IncludePicture
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludePicture;
    /**
     * The IncludeEngineInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeEngineInfo;
    /**
     * The IncludeTechnicalInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeTechnicalInfo;
    /**
     * The IncludeLoadInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeLoadInfo;
    /**
     * The IncludeComfortInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeComfortInfo;
    /**
     * The IncludePosition
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludePosition;
    /**
     * The IncludeActivity
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeActivity;
    /**
     * The IncludeDrivers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeDrivers;
    /**
     * The IncludeObcInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeObcInfo;
    /**
     * The IncludeETAInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeETAInfo;
    /**
     * The IncludeTemperatureInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeTemperatureInfo;
    /**
     * The IncludeInfoFields
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeInfoFields;
    /**
     * The IncludeUpdateDates
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeUpdateDates;
    /**
     * The IncludeCostInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeCostInfo;
    /**
     * The IncludeRented
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeRented;
    /**
     * The Identifiers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierVehicle
     */
    public $Identifiers;
    /**
     * Constructor method for VehicleSelection_With_NextStop_Info_WithoutDate
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeNextStopInfo()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setShowInactive()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludePicture()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeEngineInfo()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeTechnicalInfo()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeLoadInfo()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeComfortInfo()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludePosition()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeActivity()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeDrivers()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeObcInfo()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeETAInfo()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeTemperatureInfo()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeInfoFields()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeUpdateDates()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeCostInfo()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIncludeRented()
     * @uses VehicleSelection_With_NextStop_Info_WithoutDate::setIdentifiers()
     * @param bool $includeNextStopInfo
     * @param bool $showInactive
     * @param bool $includePicture
     * @param bool $includeEngineInfo
     * @param bool $includeTechnicalInfo
     * @param bool $includeLoadInfo
     * @param bool $includeComfortInfo
     * @param bool $includePosition
     * @param bool $includeActivity
     * @param bool $includeDrivers
     * @param bool $includeObcInfo
     * @param bool $includeETAInfo
     * @param bool $includeTemperatureInfo
     * @param bool $includeInfoFields
     * @param bool $includeUpdateDates
     * @param bool $includeCostInfo
     * @param bool $includeRented
     * @param \ArrayType\ArrayOfIdentifierVehicle $identifiers
     */
    public function __construct($includeNextStopInfo = null, $showInactive = null, $includePicture = null, $includeEngineInfo = null, $includeTechnicalInfo = null, $includeLoadInfo = null, $includeComfortInfo = null, $includePosition = null, $includeActivity = null, $includeDrivers = null, $includeObcInfo = null, $includeETAInfo = null, $includeTemperatureInfo = null, $includeInfoFields = null, $includeUpdateDates = null, $includeCostInfo = null, $includeRented = null, \ArrayType\ArrayOfIdentifierVehicle $identifiers = null)
    {
        $this
            ->setIncludeNextStopInfo($includeNextStopInfo)
            ->setShowInactive($showInactive)
            ->setIncludePicture($includePicture)
            ->setIncludeEngineInfo($includeEngineInfo)
            ->setIncludeTechnicalInfo($includeTechnicalInfo)
            ->setIncludeLoadInfo($includeLoadInfo)
            ->setIncludeComfortInfo($includeComfortInfo)
            ->setIncludePosition($includePosition)
            ->setIncludeActivity($includeActivity)
            ->setIncludeDrivers($includeDrivers)
            ->setIncludeObcInfo($includeObcInfo)
            ->setIncludeETAInfo($includeETAInfo)
            ->setIncludeTemperatureInfo($includeTemperatureInfo)
            ->setIncludeInfoFields($includeInfoFields)
            ->setIncludeUpdateDates($includeUpdateDates)
            ->setIncludeCostInfo($includeCostInfo)
            ->setIncludeRented($includeRented)
            ->setIdentifiers($identifiers);
    }
    /**
     * Get IncludeNextStopInfo value
     * @return bool
     */
    public function getIncludeNextStopInfo()
    {
        return $this->IncludeNextStopInfo;
    }
    /**
     * Set IncludeNextStopInfo value
     * @param bool $includeNextStopInfo
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeNextStopInfo($includeNextStopInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeNextStopInfo) && !is_bool($includeNextStopInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeNextStopInfo, true), gettype($includeNextStopInfo)), __LINE__);
        }
        $this->IncludeNextStopInfo = $includeNextStopInfo;
        return $this;
    }
    /**
     * Get ShowInactive value
     * @return bool
     */
    public function getShowInactive()
    {
        return $this->ShowInactive;
    }
    /**
     * Set ShowInactive value
     * @param bool $showInactive
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setShowInactive($showInactive = null)
    {
        // validation for constraint: boolean
        if (!is_null($showInactive) && !is_bool($showInactive)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showInactive, true), gettype($showInactive)), __LINE__);
        }
        $this->ShowInactive = $showInactive;
        return $this;
    }
    /**
     * Get IncludePicture value
     * @return bool
     */
    public function getIncludePicture()
    {
        return $this->IncludePicture;
    }
    /**
     * Set IncludePicture value
     * @param bool $includePicture
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludePicture($includePicture = null)
    {
        // validation for constraint: boolean
        if (!is_null($includePicture) && !is_bool($includePicture)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includePicture, true), gettype($includePicture)), __LINE__);
        }
        $this->IncludePicture = $includePicture;
        return $this;
    }
    /**
     * Get IncludeEngineInfo value
     * @return bool
     */
    public function getIncludeEngineInfo()
    {
        return $this->IncludeEngineInfo;
    }
    /**
     * Set IncludeEngineInfo value
     * @param bool $includeEngineInfo
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeEngineInfo($includeEngineInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeEngineInfo) && !is_bool($includeEngineInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeEngineInfo, true), gettype($includeEngineInfo)), __LINE__);
        }
        $this->IncludeEngineInfo = $includeEngineInfo;
        return $this;
    }
    /**
     * Get IncludeTechnicalInfo value
     * @return bool
     */
    public function getIncludeTechnicalInfo()
    {
        return $this->IncludeTechnicalInfo;
    }
    /**
     * Set IncludeTechnicalInfo value
     * @param bool $includeTechnicalInfo
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeTechnicalInfo($includeTechnicalInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeTechnicalInfo) && !is_bool($includeTechnicalInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeTechnicalInfo, true), gettype($includeTechnicalInfo)), __LINE__);
        }
        $this->IncludeTechnicalInfo = $includeTechnicalInfo;
        return $this;
    }
    /**
     * Get IncludeLoadInfo value
     * @return bool
     */
    public function getIncludeLoadInfo()
    {
        return $this->IncludeLoadInfo;
    }
    /**
     * Set IncludeLoadInfo value
     * @param bool $includeLoadInfo
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeLoadInfo($includeLoadInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeLoadInfo) && !is_bool($includeLoadInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeLoadInfo, true), gettype($includeLoadInfo)), __LINE__);
        }
        $this->IncludeLoadInfo = $includeLoadInfo;
        return $this;
    }
    /**
     * Get IncludeComfortInfo value
     * @return bool
     */
    public function getIncludeComfortInfo()
    {
        return $this->IncludeComfortInfo;
    }
    /**
     * Set IncludeComfortInfo value
     * @param bool $includeComfortInfo
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeComfortInfo($includeComfortInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeComfortInfo) && !is_bool($includeComfortInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeComfortInfo, true), gettype($includeComfortInfo)), __LINE__);
        }
        $this->IncludeComfortInfo = $includeComfortInfo;
        return $this;
    }
    /**
     * Get IncludePosition value
     * @return bool
     */
    public function getIncludePosition()
    {
        return $this->IncludePosition;
    }
    /**
     * Set IncludePosition value
     * @param bool $includePosition
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludePosition($includePosition = null)
    {
        // validation for constraint: boolean
        if (!is_null($includePosition) && !is_bool($includePosition)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includePosition, true), gettype($includePosition)), __LINE__);
        }
        $this->IncludePosition = $includePosition;
        return $this;
    }
    /**
     * Get IncludeActivity value
     * @return bool
     */
    public function getIncludeActivity()
    {
        return $this->IncludeActivity;
    }
    /**
     * Set IncludeActivity value
     * @param bool $includeActivity
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeActivity($includeActivity = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeActivity) && !is_bool($includeActivity)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeActivity, true), gettype($includeActivity)), __LINE__);
        }
        $this->IncludeActivity = $includeActivity;
        return $this;
    }
    /**
     * Get IncludeDrivers value
     * @return bool
     */
    public function getIncludeDrivers()
    {
        return $this->IncludeDrivers;
    }
    /**
     * Set IncludeDrivers value
     * @param bool $includeDrivers
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeDrivers($includeDrivers = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeDrivers) && !is_bool($includeDrivers)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeDrivers, true), gettype($includeDrivers)), __LINE__);
        }
        $this->IncludeDrivers = $includeDrivers;
        return $this;
    }
    /**
     * Get IncludeObcInfo value
     * @return bool
     */
    public function getIncludeObcInfo()
    {
        return $this->IncludeObcInfo;
    }
    /**
     * Set IncludeObcInfo value
     * @param bool $includeObcInfo
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeObcInfo($includeObcInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeObcInfo) && !is_bool($includeObcInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeObcInfo, true), gettype($includeObcInfo)), __LINE__);
        }
        $this->IncludeObcInfo = $includeObcInfo;
        return $this;
    }
    /**
     * Get IncludeETAInfo value
     * @return bool
     */
    public function getIncludeETAInfo()
    {
        return $this->IncludeETAInfo;
    }
    /**
     * Set IncludeETAInfo value
     * @param bool $includeETAInfo
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeETAInfo($includeETAInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeETAInfo) && !is_bool($includeETAInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeETAInfo, true), gettype($includeETAInfo)), __LINE__);
        }
        $this->IncludeETAInfo = $includeETAInfo;
        return $this;
    }
    /**
     * Get IncludeTemperatureInfo value
     * @return bool
     */
    public function getIncludeTemperatureInfo()
    {
        return $this->IncludeTemperatureInfo;
    }
    /**
     * Set IncludeTemperatureInfo value
     * @param bool $includeTemperatureInfo
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeTemperatureInfo($includeTemperatureInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeTemperatureInfo) && !is_bool($includeTemperatureInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeTemperatureInfo, true), gettype($includeTemperatureInfo)), __LINE__);
        }
        $this->IncludeTemperatureInfo = $includeTemperatureInfo;
        return $this;
    }
    /**
     * Get IncludeInfoFields value
     * @return bool
     */
    public function getIncludeInfoFields()
    {
        return $this->IncludeInfoFields;
    }
    /**
     * Set IncludeInfoFields value
     * @param bool $includeInfoFields
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeInfoFields($includeInfoFields = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeInfoFields) && !is_bool($includeInfoFields)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeInfoFields, true), gettype($includeInfoFields)), __LINE__);
        }
        $this->IncludeInfoFields = $includeInfoFields;
        return $this;
    }
    /**
     * Get IncludeUpdateDates value
     * @return bool
     */
    public function getIncludeUpdateDates()
    {
        return $this->IncludeUpdateDates;
    }
    /**
     * Set IncludeUpdateDates value
     * @param bool $includeUpdateDates
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeUpdateDates($includeUpdateDates = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeUpdateDates) && !is_bool($includeUpdateDates)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeUpdateDates, true), gettype($includeUpdateDates)), __LINE__);
        }
        $this->IncludeUpdateDates = $includeUpdateDates;
        return $this;
    }
    /**
     * Get IncludeCostInfo value
     * @return bool
     */
    public function getIncludeCostInfo()
    {
        return $this->IncludeCostInfo;
    }
    /**
     * Set IncludeCostInfo value
     * @param bool $includeCostInfo
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeCostInfo($includeCostInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeCostInfo) && !is_bool($includeCostInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeCostInfo, true), gettype($includeCostInfo)), __LINE__);
        }
        $this->IncludeCostInfo = $includeCostInfo;
        return $this;
    }
    /**
     * Get IncludeRented value
     * @return bool
     */
    public function getIncludeRented()
    {
        return $this->IncludeRented;
    }
    /**
     * Set IncludeRented value
     * @param bool $includeRented
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIncludeRented($includeRented = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeRented) && !is_bool($includeRented)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeRented, true), gettype($includeRented)), __LINE__);
        }
        $this->IncludeRented = $includeRented;
        return $this;
    }
    /**
     * Get Identifiers value
     * @return \ArrayType\ArrayOfIdentifierVehicle|null
     */
    public function getIdentifiers()
    {
        return $this->Identifiers;
    }
    /**
     * Set Identifiers value
     * @param \ArrayType\ArrayOfIdentifierVehicle $identifiers
     * @return \StructType\VehicleSelection_With_NextStop_Info_WithoutDate
     */
    public function setIdentifiers(\ArrayType\ArrayOfIdentifierVehicle $identifiers = null)
    {
        $this->Identifiers = $identifiers;
        return $this;
    }
}
